NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_gmtime(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_gmtime - Return current time in Greenwich Mean Time (GMT)

## Table Of Contents

## Synopsis

- ns_gmtime seconds

## Description

This command returns a nine-element Tcl list representing the current time in Greenwich Mean Time (GMT). The structure of the list corresponds to the Unix struct tm time structure:

## COMMANDS

ns_gmtime seconds

  minutes (0-59)

  hours (0-23)

  dayofmonth (1-31)

  monthofyear (0-11)

  year (year-1900)

  dayofweek (0-6, Sunday=0)

  dayofyear (0-365)

  isdst (>0 if Daylight Savings Time is in effect)

## EXAMPLES

       % ns_gmtime
       40 31 2 12 5 104 6 163 0

## See Also

ns_fmttime, ns_httptime, ns_localtime, ns_parsehttptime, ns_parsetime, ns_time

## Keywords

time